<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
function refer($link)
{
	$SSL = (defined('SSLMODE') && SSLMODE==1 && @$_REQUEST['p']=='shop') ?  'https://' : 'http://';
	
	if($GLOBALS['settings']['use_seo'] == 1 && !isset($_GET['lang'])) 
	{
		$_DOMAIN = strpos($_SERVER['SCRIPT_NAME'],"index.php") ? str_replace("/index.php","",$_SERVER['SCRIPT_NAME']) : "";

		@include_once('functions/Func.Rewrite.php');
		$link = $_DOMAIN . "/" .str_replace("http://".HPURL, "", str_replace("&amp;", "&", Seo(str_replace("&", "&amp;",$link))));
		echo $link;
	}
	$link = str_replace('http://', $SSL, $link);
	header("HTTP/1.1 301 Moved Permanently");
	header("Location:".$link);
	exit();
}


?>